

#include "BUILTIN.h"

#include "Bitset.h"

#include "Nat.h"
extern OBJ _ABitsetMap_1(OBJ,OBJ);OBJ __ABitsetMap_1; /* * */

extern OBJ _ABitsetMap_1(OBJ x1,OBJ x2) /* * */
{OBJ r;
 CPPRD(x2,1);
 {OBJ x3;
  ABitset_20(x2,x3);
  if(ISTGPRM(x3,1)){
   FRCLS(x1,1);
   FRPRD(x2,1);
   CPPRD(__ABitset_2,1);
   r=__ABitset_2;
  }else{
   CPCLS(x1,1);
   CPPRD(x2,1);
   {OBJ x4;OBJ x5;OBJ x6;OBJ x7;
    ABitset_19(x2,x4);
    x5=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x4);
    ABitset_13(x4,x2,x6);
    x7=_ABitsetMap_1(x1,x6);
    ABitset_3(x5,x7,r);}}}
 return r;}

init_ABitsetMap()
{
 static int visited=0; if(visited) return; visited=1;
 init_ABitset();
 init_ANat();
 init_AOption();
 CLS(2,_ABitsetMap_1,__ABitsetMap_1);}

